apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: iching-ingress
  namespace: argocd
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
spec:
  ingressClassName: nginx
  rules:
  - host: 192-168-197-2.c-one-infra.de
    http:
      paths:
      - path: /iching/api(/|$)(.*)
        pathType: ImplementationSpecific
        backend:
          service:
            name: iching-service
            port:
              number: 81
      - path: /iching(/|$)(.*)
        pathType: ImplementationSpecific
        backend:
          service:
            name: iching-service
            port:
              number: 80
  tls:
  - hosts:
    - 192-168-197-2.c-one-infra.de
    secretName: argocd-net-tls